import { Component, h, Host, Prop } from '@stencil/core';
/**
 * Embedding another HTML page.
 *
 */
export class LpFrame {
  render() {
    return (h(Host, { class: "" },
      h("iframe", { title: "Bridge Pay", src: this.src, class: "block min-w-[600px] min-h-[300px]" })));
  }
  static get is() { return "lp-frame"; }
  static get properties() { return {
    "src": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "The URL of the page to embed."
      },
      "attribute": "src",
      "reflect": false
    }
  }; }
}
