import { HTMLElement, h, Host, proxyCustomElement } from '@stencil/core/internal/client';

let LpFrame$1 = class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
  }
  render() {
    return (h(Host, { class: "" }, h("iframe", { title: "Bridge Pay", src: this.src, class: "block min-w-[600px] min-h-[300px]" })));
  }
};
LpFrame$1 = /*@__PURE__*/ proxyCustomElement(LpFrame$1, [0, "lp-frame", {
    "src": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["lp-frame"];
  components.forEach(tagName => { switch (tagName) {
    case "lp-frame":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, LpFrame$1);
      }
      break;
  } });
}

const LpFrame = LpFrame$1;
const defineCustomElement = defineCustomElement$1;

export { LpFrame, defineCustomElement };
