import { p as promiseResolve, b as bootstrapLazy } from './index-afbbb97d.js';

/*
 Stencil Client Patch Browser v2.12.1 | MIT Licensed | https://stenciljs.com
 */
const patchBrowser = () => {
    const importMeta = import.meta.url;
    const opts = {};
    if (importMeta !== '') {
        opts.resourcesUrl = new URL('.', importMeta).href;
    }
    return promiseResolve(opts);
};

patchBrowser().then(options => {
  return bootstrapLazy([["lp-transfer",[[4,"lp-transfer",{"config":[16],"date":[1],"isOpen":[32],"state":[32],"currentStep":[32]}]]],["lp-frame",[[0,"lp-frame",{"src":[1]}]]],["lp-select",[[4,"lp-select",{"label":[1],"labelledby":[1],"width":[1],"disabled":[4],"required":[4],"value":[1],"selectedIndex":[2,"selected-index"],"helperText":[1,"helper-text"],"valid":[4]}]]],["lp-select-option",[[4,"lp-select-option",{"value":[1],"selected":[4],"disabled":[4]}]]],["lp-button",[[4,"lp-button",{"variant":[1],"disabled":[4]}]]],["lp-checkbox",[[0,"lp-checkbox",{"inputId":[1,"input-id"],"ariaLabel":[1,"aria-label"],"ariaLabelledby":[1,"aria-labelledby"],"value":[1],"indeterminate":[4],"checked":[4],"disabled":[4]}]]],["lp-dialog-actions",[[4,"lp-dialog-actions"]]],["lp-accordion_9",[[4,"lp-accordion",{"label":[1],"isOpen":[32]}],[4,"lp-callout",{"intent":[1]}],[4,"lp-employee"],[0,"lp-iban",{"iban":[1]}],[4,"lp-table",{"ariaLabel":[1,"aria-label"]}],[4,"lp-table-cell",{"type":[1],"hasCheckbox":[4,"has-checkbox"]}],[4,"lp-table-cell-header",{"scope":[1],"cellId":[1,"cell-id"],"type":[1],"hasCheckbox":[4,"has-checkbox"]}],[4,"lp-table-row",{"dataRowId":[1,"data-row-id"],"selected":[4]}],[4,"lp-table-row-header"]]],["lp-dialog_4",[[0,"lp-view-selection",{"state":[32]}],[0,"lp-view-summary",{"state":[32]}],[4,"lp-dialog",{"isOpen":[4,"open"],"dialogTitle":[1,"dialog-title"],"surfaceStyle":[16]}],[4,"lp-dialog-button",{"intent":[1],"default":[4],"disabled":[4]},[[2,"click","handleClick"]]]]]], options);
});
